using System;
using System.ComponentModel;

namespace NamestanjeGlasanja {
    class Program {

        static void Main(string[] args) {

            string[] NQ = Console.ReadLine().Split();
            int N = int.Parse(NQ[0]);
            int Q = int.Parse(NQ[1]);

            string[] A = new string[N];
            string[] B = new string[Q];

            A = Console.ReadLine().Split();
            B = Console.ReadLine().Split();

            int[] QP = new int[Q];

            int Bi;
            int Aj;

            for (int i = 0; i < Q; i++) {

                Bi = int.Parse(B[i]);

                QP[i] = 0;

                for (int j = 0; j < N; j++) {

                    Aj = int.Parse(A[j]);

                    if (Bi > Aj)
                        QP[i] += 1;

                }

            }

            int[] izl = new int[Q];

            bool jd;

            int levo, desno;


            for (int i = 0; i < Q; i++) {

                jd = QP[i] == N ? false : int.Parse(B[i]) == int.Parse(A[QP[i]]);

                if (jd && N % 2 == 1 && N / 2 == QP[i])
                    izl[i] = 0;
               

                else {

                    levo = QP[i];
                    desno = N - levo;
                    izl[i] = Math.Abs(levo - desno);

                }
                

            }

            for (int i = 0; i < Q; i++) {

                Console.WriteLine(izl[i]);
            }





        }
    
    
    }

}